export function verificationFun(funArray, callback, data, self) {
  return new Promise(async (resolve, reject) => {
    let verification = true
    function setValue(i) {
      if (i < funArray.length) {
        callback(funArray[i]()).then(res => {
            i++
            if(res) {
              setValue(i)
            } else {
              verification = false
              return
            }
        })
      } else if(i == funArray.length) {
        resolve(verification)
      }
    }
    setValue(0)
  })
}
